#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# BitmapText Class

Extends DisplayObjectContainer
Defined in: `src/pixi/text/BitmapText.js:5`
Module: PIXI

A Text Object will create a line(s) of text using bitmap font. To split a line you can use '\n', '\r' or '\r\n' You can generate the fnt files using http://www.angelcode.com/products/bmfont/ for windows or http://www.bmglyph.com/ for mac.

## Constructor

### `BitmapText`

(

- `text`
- `style`

)

Defined in `src/pixi/text/BitmapText.js:5`

#### Parameters:

- `text` String

  The copy that you would like the text to display

- `style` Object

  The style parameters

  - `font` String

    The size (optional) and bitmap font id (required) eq 'Arial' or '20px Arial' (must have loaded previously)

  - `[align='left']` String optional

    Alignment for multiline text ('left', 'center' or 'right'), does not affect single line text

- Index
- Methods
- Properties

## Item Index

### Methods

- _renderCanvas
- _renderWebGL
- addChild
- addChildAt
- click
- getBounds
- getChildAt
- getLocalBounds
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- removeChild
- removeChildAt
- removeChildren
- removeStageReference
- setInteractive deprecated
- setStageReference
- setStyle
- setText
- swapChildren
- tap
- touchend
- touchendoutside
- touchstart
- updateText
- updateTransform

### Properties

- _bounds
- _currentBounds
- _interactive
- alpha
- buttonMode
- cacheAsBitmap
- children
- color
- defaultCursor
- dynamic
- filterArea
- filters
- height
- hitArea
- interactive
- mask
- parent
- pivot
- position
- renderable
- rotation
- scale
- stage
- textHeight
- textWidth
- visible
- width
- worldAlpha
- worldTransform
- worldVisible
- x
- y

## Methods

### `_renderCanvas`

(

- `renderSession`

)
private

Inherited from DisplayObject but overwritten in `src/pixi/display/DisplayObjectContainer.js:415`

Renders the object using the Canvas renderer

#### Parameters:

- `renderSession` RenderSession

### `_renderWebGL`

(

- `renderSession`

)
private

Inherited from DisplayObject but overwritten in `src/pixi/display/DisplayObjectContainer.js:356`

Renders the object using the WebGL renderer

#### Parameters:

- `renderSession` RenderSession

### `addChild`

(

- `child`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:69`

Adds a child to the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to add to the container

### `addChildAt`

(

- `child`
- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:80`

Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

#### Parameters:

- `child` DisplayObject

  The child to add

- `index` Number

  The index to place the child in

### `click`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:207`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `getBounds`

() Rectangle

Inherited from DisplayObject but overwritten in `src/pixi/display/DisplayObjectContainer.js:234`

Retrieves the bounds of the displayObjectContainer as a rectangle object

#### Returns:

Rectangle:

the rectangular bounding area

### `getChildAt`

(

- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:136`

Returns the child at the specified index

#### Parameters:

- `index` Number

  The index to get the child from

### `getLocalBounds`

() Rectangle

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:473`

Retrieves the local bounds of the displayObject as a rectangle object

#### Returns:

Rectangle:

the rectangular bounding area

### `mousedown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:213`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:239`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:233`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:219`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:226`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `removeChild`

(

- `child`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:154`

Removes a child from the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to remove

### `removeChildAt`

(

- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:165`

Removes a child from the specified index position in the child list of the container.

#### Parameters:

- `index` Number

  The index to get the child from

### `removeChildren`

(

- `beginIndex`
- `endIndex`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:182`

Removes all child instances from the child list of the container.

#### Parameters:

- `beginIndex` Number

  The beginning position. Predefined value is 0.

- `endIndex` Number

  The ending position. Predefined value is children's array length.

### `removeStageReference`

()

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:337`

removes the current stage reference of the container

### `setInteractive`

(

- `interactive`

)
deprecated

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:280`

Deprecated: Simply set the `interactive` property directly

[Deprecated] Indicates if the sprite will have touch and mouse interactivity. It is false by default Instead of using this function you can now simply set the interactive property to true or false

#### Parameters:

- `interactive` Boolean

### `setStageReference`

(

- `stage`

)

Inherited from DisplayObject but overwritten in `src/pixi/display/DisplayObjectContainer.js:319`

Sets the container's stage reference, the stage this object is connected to

#### Parameters:

- `stage` Stage

  the stage that the container will have as its current stage reference

### `setStyle`

(

- `style`

)

Defined in `src/pixi/text/BitmapText.js:47`

Set the style of the text style.font {String} The size (optional) and bitmap font id (required) eq 'Arial' or '20px Arial' (must have loaded previously) [style.align='left'] {String} Alignment for multiline text ('left', 'center' or 'right'), does not affect single line text

#### Parameters:

- `style` Object

  The style parameters, contained as properties of an object

### `setText`

(

- `text`

)

Defined in `src/pixi/text/BitmapText.js:35`

Set the copy for the text object

#### Parameters:

- `text` String

  The copy that you would like the text to display

### `swapChildren`

(

- `child`
- `child2`

)
private

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:110`

[NYI] Swaps the depth of 2 displayObjects

#### Parameters:

- `child` DisplayObject
- `child2` DisplayObject

### `tap`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:250`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:263`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:269`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:257`

A callback that is used when the user touches over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `updateText`

() private

Defined in `src/pixi/text/BitmapText.js:69`

Renders text and updates it when needed

### `updateTransform`

() private

Defined in `src/pixi/text/BitmapText.js:179`

Updates the transform of this object

## Properties

### `_bounds`

Rectangle private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:174`

The original, cached bounds of the object

### `_currentBounds`

Rectangle private

Inherited from DisplayObject but overwritten in `src/pixi/display/DisplayObject.js:182`

The most up-to-date bounds of the object

### `_interactive`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:114`

[read-only] Whether or not the object is interactive, do not toggle directly! use the `interactive` property

### `alpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:46`

The opacity of the object.

### `buttonMode`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:71`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `cacheAsBitmap`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:388`

Set weather or not a the display objects is cached as a bitmap. This basically takes a snap shot of the display object as it is at that moment. It can provide a performance benefit for complex static displayObjects To remove filters simply set this property to 'null'

### `children`

Array<DisplayObject>

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:18`

[read-only] The array of children of this container.

### `color`

Array<> private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:143`

[NYI] Unknown

### `defaultCursor`

String

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:124`

This is the cursor that will be used when the mouse is over this object. To enable this the element must have interaction = true and buttonMode = true

### `dynamic`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:152`

[NYI] Holds whether or not this object is dynamic, for rendering optimization

### `filterArea`

Rectangle

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:165`

The area the filter is applied to like the hitArea this is used as more of an optimisation rather than figuring out the dimensions of the displayObject each frame you can set this rectangle

### `filters`

Array An array of filters

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:354`

Sets the filters for the displayObject.

- IMPORTANT: This is a webGL only feature and will be ignored by the canvas renderer. To remove filters simply set this property to 'null'

### `height`

Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:51`

The height of the displayObjectContainer, setting this will actually modify the scale to achieve the value set

### `hitArea`

Rectangle | Circle | Ellipse | Polygon

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:62`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `interactive`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:293`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

Default: false

### `mask`

Graphics

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:334`

Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PIXI a regular mask must be a PIXI.Graphics object. This allows for much faster masking in canvas as it utilises shape clipping. To remove a mask, set this property to null.

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:87`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:30`

The pivot point of the displayObject that it rotates around

### `position`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:14`

The coordinate of the object relative to the local coordinates of the parent.

### `renderable`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:79`

Can this object be rendered

### `rotation`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:38`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:22`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:96`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `textHeight`

Number

Defined in `src/pixi/text/BitmapText.js:169`

[read-only] The height of the overall text, different from fontSize, which is defined in the style object

### `textWidth`

Number

Defined in `src/pixi/text/BitmapText.js:160`

[read-only] The width of the overall text, different from fontSize, which is defined in the style object

### `visible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:54`

The visibility of the object.

### `width`

Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:32`

The width of the displayObjectContainer, setting this will actually modify the scale to achieve the value set

### `worldAlpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:105`

[read-only] The multiplied alpha of the displayObject

### `worldTransform`

Mat3 private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:133`

[read-only] Current transform of the object based on world (parent) factors

### `worldVisible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:313`

[read-only] Indicates if the sprite is globaly visible.

### `x`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:598`

The position of the displayObject on the x axis relative to the local coordinates of the parent.

### `y`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:613`

The position of the displayObject on the y axis relative to the local coordinates of the parent.